function [btbeta] = boots_HO(input)

    cd('../subroutines')
    tStart = tic;   

    sample     = input.sample;
    h          = input.h;
    mod        = input.mod;
    firmsize   = input.firmsize;
    datafolder = input.datafolder;
    estfolder  = input.estfolder;
    saveres    = input.saveres; 
    if sample == 1
        datafolder = strcat(datafolder, 'sample/');
        estfolder  = strcat(estfolder,  'sample/');
    end   
    brep  = input.brep;
    bseed = input.bseed;
    rng(bseed)
    
    % Report
    fprintf('********************************************************* \n')
    fprintf('Report date    = %s \n', datestr(now))
    fprintf('Future wages   = %d \n', h)
    fprintf('Model          = %d \n', mod)
    fprintf('Firm size lim  = %d \n', firmsize)
    fprintf('Save results   = %d \n', saveres)
    fprintf('Sample trial   = %d \n', sample)
    fprintf('Boots seed     = %d \n', bseed)
    fprintf('Boots rep      = %d \n', brep)
    fprintf('********************************************************* \n')
    
    % Load
    fval = num2str(firmsize);
    hval  = num2str(h);
    mval  = num2str(mod);
    mat    = load(strcat(datafolder,'mat_f',fval,'w',hval,'m',mval,'.mat')); 
    params = load(strcat(estfolder,'params_f',fval,'w',hval,'m',mval,'.mat'));
    estfin = load(strcat(estfolder,'est_f',fval,'w',hval,'m',mval,'.mat'));   
    
    % Bootstrapping       
    params.binput = boots_input(estfin,mat);
    btbeta = NaN(brep,1);
    bsval = num2str(bseed);
    for ib = 1:brep

        fprintf('-------------------------------------------- \n')
        fprintf('... Boots #%d \n', ib)
        fprintf('-------------------------------------------- \n')      
        btbeta(ib) = boots_wildF_ho(mat,params);
        save(strcat(estfolder,'boots_f',fval,'w',hval,'m',mval,'_bs',bsval), 'btbeta')
        
    end
    save(strcat(estfolder,'boots_f',fval,'w',hval,'m',mval), 'btbeta')

    % Report
    tEnd = toc(tStart)/60;
    fprintf('Boot seed = %d for h = %d takes %5.2f mins \n', bseed, h, tEnd)  
    
    cd('../main_progs')
    
end  

