function [bbeta] = boots_wildF_ho(mat,params)
    
    binput = params.binput;
    F  = mat.F;            %clustered at F 
    nF = size(F,2);
    yhat = binput.yhat;
    res  = binput.res;    

    %Resampling            
    r = ones(nF,1);
    r(rand(nF,1)<0.5)=-1;
    rr = F*r;            

    try 
        %update y and find beta    
        mat.y = yhat + rr .* res;
        [params_b,temp_glo] = search_global_ho(mat,params);   %HO        
        [bbeta,~]  = search_local_ho(mat,params_b,temp_glo);  %HO

        %save bbeta
        if length(bbeta) > 1
            bbeta = NaN;
        end

    catch 
        bbeta = NaN;
    end

    
end