clear all

datafolder  = '../data/';
estfolder   = '../estimates/';
statafolder = '../data_graph/'; 

for h = 0:5

    hval = num2str(h);
    load(strcat(datafolder,'workdata_f5000w',hval,'.mat')); 
    mat = load(strcat(datafolder,'mat_f5000w',hval,'m1.mat')); 
    est = load(strcat(estfolder,'est_f5000w',hval,'m1.mat'));
    pm   = est.p;
    dhat = est.dhat;
    y   = mat.y;
    n   = length(y);
    
    %D = [FO OT FT];
    idw = workdata(:,2);
    idt = workdata(:,3);
    idf = workdata(:,4);
    ido = workdata(:,5);
    idfo = findgroups(idf,ido);
    idot = findgroups(ido,idt);
    idft = findgroups(idf,idt);
    sFO = length(unique(idfo))-1;
    sFT = length(unique(idft))-1;
    sOT = length(unique(idot))-1;
    X = mat.X;
    sX = size(X,2);
    W  = mat.W;
    sW = size(W,2);
    FT = sparse(1:length(idft),idft,1);
    FT = FT(1:end,2:end);
    FO = sparse(1:length(idfo),idfo,1);
    FO = FO(1:end,2:end);
    OT = sparse(1:length(idot),idot,1);
    OT = OT(1:end,2:end);
        
    sWa = sX - sW; 
    Wa  = sparse(n,sWa);
    A1    = [W,Wa];
    alpha = A1*dhat;
    sFTa = sX - sFT;
    FTa  = sparse(n,sFTa);
    FT1  = [FTa,FT];
    ftfe = FT1*dhat;
    sOTa1 = sX - sOT - sFT;
    sOTa2 = sFT;
    OTa1 = sparse(n,sOTa1);
    OTa2 = sparse(n,sOTa2);
    OT1  = [OTa1,OT,OTa2];
    otfe = OT1*dhat;
    sFOa1 = sX - sFO - sOT - sFT;
    sFOa2 = sOT + sFT;
    FOa1 = sparse(n,sFOa1);
    FOa2 = sparse(n,sFOa2);
    FO1  = [FOa1,FO,FOa2];
    fofe = FO1*dhat;

    tostata = [pm alpha fofe otfe ftfe workdata];
    filename = strcat(statafolder,'data_regheter_w',hval,'.txt');
    writematrix(tostata,filename)

end