clear all
load('../data/params_f5000w0m1.mat')
load('../data/mat_f5000w0m1.mat')
seed = 1;
rng(seed);

%get data and parameters
y = mat.y;
X = mat.X;
C = mat.C;
dhat = params.dhat;
beta = params.betafin;
e0 = y - X*dhat - beta*C*dhat;
vare = var(e0);
stde = sqrt(vare);
Xhat = X*dhat;
phat = C*dhat;

%estimation
input.estfolder  = '../estimates/';
input.demean     = 0;
input.loadmat    = 0;
input.firmsize   = 5000;
input.sample     = 0;      %raw
input.h          = 0;      %h
input.mod        = 1;
input.saveres    = 0;
input.savemat    = 0;

%simulation 
beta  = 0.5; %testing beta = 0.5
e = stde*randn(size(e0));
ynew  = Xhat + beta*phat + e;
Xynew = X'*ynew;
Cynew = C'*ynew;
mat.y  = ynew;
mat.Xy = Xynew;
mat.Cy = Cynew;

[params5] = estinf_HO(input,mat);     
beta = params5.Beta_all;
HOn  = params5.HCn_all;

output = [beta,HOn];
writematrix(output, '../data_graph/formoments_sim.txt')



