function [HOn,est] = get_HOn(beta,mat,params) 

    %Load struct
    y  = mat.y;  X  = mat.X;   C  = mat.C;
    CC = mat.CC; CX2= mat.CX2; Cy = mat.Cy;
    XX = mat.XX; Xy = mat.Xy;      
    tol    = params.tol;
    maxite = params.maxite;
    dhat0  = params.dhat;   

    %Setup and Cholesky
    RR = XX + CX2 * beta + CC * beta^2;
    Ry = Xy + Cy * beta;  
    [L] = get_L(RR);  

    %Homoskedasticity robust or NLLS 
    dhat = pcg(RR,Ry,tol,maxite,L,L',dhat0);     
    p    = C*dhat;
    e    = y - X*dhat - beta*p;   
    
    %Get HOn
    HOn =  - sum( p .* e ); %*2; % - mean( p .* e ); 
    
    %Save estimates
    est.beta = beta;
    est.HCn  = HOn;
    est.e    = e;
    est.p    = p;
    est.dhat = dhat;   

end
