function [params] = initial_params()

    % Parameters
    params.maxite   = 1000;   %pcg max ite
    params.tol	    = 1e-7;   %pcg tolerance
    params.tol0	    = 1e-10;  %pcg tolerance to get L   
    params.Beta_all = [];     %collect all Beta
    params.HCn_all  = [];     %collect all HCn
    
    % Grid search parameters
    params.grid_glo  = 7;     %Global search grids    
    params.lower_glo = 0;     %Global lower bound 
    params.upper_glo = 0.5;   %Global upper bound  
    params.grid_loc  = 5;     %Local search grids
    params.diftol    = 0.005; %Local search tolerance (lower  -> better)
    params.rdtol     = 3;     %maximum local searches (higher -> better)
    
    % Approximation
    params.epsilon = 0.005;   %numeric approximation epsilon

end