function [params,temp_glo] = search_global_ho(mat,params)

    fprintf('Global Search ... \n')  

    % Load struct
    lower_glo = params.lower_glo;
    upper_glo = params.upper_glo;
    grid0     = params.grid_glo;
    
    % Global search
    Beta_glo = linspace(lower_glo,upper_glo,grid0)';
    HCn_glo  = NaN(size(Beta_glo));
    %est_glo  = cell(size(Beta_glo));
    for i = 1:grid0
        beta = Beta_glo(i);
        [HCn,~] = get_HOn(beta,mat,params);
        %est_glo{i} = est;
        HCn_glo(i) = HCn;
        fprintf('This iteration: beta = %d, HCn = %d \n', beta, HCn); 
    end
    params.Beta_all = [params.Beta_all; Beta_glo];
    params.HCn_all  = [params.HCn_all;  HCn_glo];

    % Check global search
    [check, LOC] = search_checkglobal(HCn_glo);
    if check == -1
        return 
    end
    numbeta = size(LOC,1);
    fprintf('!Global search gives %d potential betahat \n', numbeta) 
    
    temp_glo.LOC      = LOC;
    temp_glo.Beta_glo = Beta_glo;
    temp_glo.HCn_glo  = HCn_glo;
    
end
