function [betahat,params] = search_local_ho(mat,params,temp_glo)
    
    fprintf('Local Search ... \n')  

    % Load struct 
    LOC      = temp_glo.LOC;
    Beta_glo = temp_glo.Beta_glo;
    HCn_glo  = temp_glo.HCn_glo;
    est_glo  = [Beta_glo,HCn_glo];
    grid_loc = params.grid_loc;
    diftol   = params.diftol;
    rdtol    = params.rdtol;

    % Setup (in case of multiple beta)
    numbeta = size(LOC,1);
    betahat = NaN(numbeta,1);
    %est_loc = {};

    for b = 1:numbeta
    
    loc = LOC(b,:);	
    [beta_glo,est_now] = search_localsetup(loc,est_glo,grid_loc);
    fprintf('global search finds betahat #%d = %2.5f \n', b, beta_glo) 

    fprintf('Local Search for potential beta #%d ... \n', b)
    beta_prev = beta_glo;
    beta_dif = 1;
    r = 0;
    pass = 1;
    while beta_dif > diftol && r < rdtol

        r = r +1;
        fprintf('Local Search %d ... \n', r)

        % local search 
        Beta_loc = est_now(:,1);
        HCn_loc  = est_now(:,2);
        %tempest  = cell(grid_loc,1);

        if pass == 1 
            for i = 1:grid_loc
                if i == 1 || i == grid_loc  %calculated from prev
                    fprintf('In iteration %d, beta = %d, HCn = %d \n', ...
                                i, Beta_loc(i), HCn_loc(i))
                else
                    beta = Beta_loc(i);
                    [HCn_loc(i),~] = get_HOn(beta,mat,params);
                    fprintf('In iteration %d, beta = %d, HCn = %d \n', ...
                                i, beta, HCn_loc(i))
                end
            end   
        elseif pass == 0   %noisy local search
            for i = 1:grid_loc
                beta = Beta_loc(i);
                [HCn_loc(i),~] = get_HOn(beta,mat,params);
                fprintf('In iteration %d, beta = %d, HCn = %d \n', ...
                            i, beta, HCn_loc(i))
            end
        end
        params.Beta_all = [params.Beta_all; Beta_loc];
        params.HCn_all  = [params.HCn_all ; HCn_loc] ;
        %est_loc         = [est_loc;        tempest] ;
        
        % get estimated beta and prepare next round
        est_prev  = [Beta_loc,HCn_loc];
        [beta_now,est_now,pass] = search_checklocal(est_prev,params);
        fprintf('betahat = %2.5f in local search %d \n', beta_now, r) 

        % get beta diff
        beta_dif = abs(beta_prev - beta_now);
        beta_prev = beta_now;
        if r == rdtol && beta_dif > diftol
            fprintf('!Search iteration hits upper bound \n') 
            fprintf('!Check if you want to increase the iteration \n') 
        end

    end
    betahat(b) = beta_now;
    fprintf('local search finds betahat #%d = %2.5f \n', b, beta_now) 

    end
end
