function [beta_now,est_now] = search_localsetup(loc,est_loc,grid_loc)
     
    % intrapolate beta
	loc1 = loc(1);
	loc2 = loc(2);
	Beta_loc = est_loc(:,1);
	HCn_loc  = est_loc(:,2);    
	HCn1  = [HCn_loc(loc1),HCn_loc(loc2)];
	Beta1 = [Beta_loc(loc1),Beta_loc(loc2)];
	beta_now = interp1(HCn1,Beta1,0,'linear','extrap');
    
    % get lower and upper bound for next local search
    lower = Beta_loc(loc1);
	upper = Beta_loc(loc2);
	Beta_now = linspace(lower,upper,grid_loc)';
    
    % prepare HCn (1st and last loaded from previous ones)
	HCn_now  = NaN(size(Beta_now));
	HCn_now([1 end]) = HCn1;
    est_now  = [Beta_now,HCn_now];

end