* Some graph options
set scheme s2color
grstyle init
grstyle set plain, horizontal
grstyle set symbol
grstyle set symbolsize small
grstyle set lpattern
*grstyle set color Set1
grstyle set linewidth 0.5
grstyle linestyle legend none
grstyle set color edkblue cranberry orange green gray

* Data preparation
import delimited "$datgr/bootstd.txt", clear
keep v1 
rename v1 veneto_se
gen year = _n - 1
save temp, replace 
import delimited "$datgr/beta_all.txt", clear
keep v1 
rename v1 veneto 
gen year = _n - 1
merge 1:1 year using temp, nogen 
erase temp.dta 
save "$datgr/temp_est_baseline", replace

* C.I. and Graph
gen veneto_lo = veneto - veneto_se*1.96
gen veneto_up = veneto + veneto_se*1.96

twoway (connect veneto year, lcolor(edkblue) mcolor(edkblue))              ///
       (rarea veneto_lo veneto_up year, fcolor(edkblue%35) lwidth(none))   ///
 	   , ytitle(Coefficients {&beta}) yscale(r(0.075 0.275))                ///
	     ylabel(0.075(0.025)0.275, angle(0) format(%5.3f) )                 ///
	     xlabel(0(1)5) xtitle(Year ahead (h))                              ///
		 legend(label(1 "Peer effect") label(2 "95% confidence interval")) ///
		 name(veneto, replace)
graph export "$graph/baseline_veneto.pdf", as(pdf) replace		   
