* Some graph options
set scheme s2color
grstyle init
grstyle set plain, horizontal
grstyle set symbol
grstyle set symbolsize small
grstyle set lpattern
*grstyle set color Set1
grstyle set linewidth 0.5
grstyle linestyle legend none
grstyle set color edkblue cranberry orange green gray

* Data preparation
import delimited "$datgr/formoments.txt", clear
rename(v1 v2) (beta Sn)
replace Sn = Sn *1.1 /1000  // scaling for visualization

* Graph
twoway (connect Sn beta , lcolor(edkblue) msize(vtiny) mcolor(edkblue)) ///
 	   , ytitle(Moment function Sn({&beta}))              ///
	     xlabel(-0.9(0.1)0.9) xtitle({&beta})   yline(0, lcolor(edkblue))                          
graph export "$graph/moment_behavior.pdf", as(pdf) replace		


* Data preparation
import delimited "$datgr/formoments_sim.txt", clear
rename(v1 v2) (beta Sn)
replace Sn = Sn /1000*10   // scaling for visualization

* Graph
twoway (connect Sn beta , lcolor(edkblue) msize(vtiny) mcolor(edkblue)) ///
 	   , ytitle(Moment function Sn({&beta}))              ///
	     xlabel(-0.9(0.1)0.9) xtitle({&beta})   yline(0, lcolor(edkblue))                          
graph export "$graph/moment_behavior_sim.pdf", as(pdf) replace	   
