clear
set more off
set type double
set logtype text
graph drop _all

* Some graph options
set scheme s2color
grstyle init
grstyle color background white
grstyle linestyle legend none

cd          "" // set your main folder for analysis here
glo datgr	"data_graph"
glo graph	"Graphs"
glo orig	"orig"
glo prog	"prog"
glo data	"data"
glo table	"output/table"
glo log		"output/log"

do "${prog}/graph_moments.do"				// Figure 2
do "${prog}/graph_baseline.do"				// Figure 3
do "${prog}/data_heter.do"					// Clean Maltab exported data for heterogenous graphs
do "${prog}/graph_heter.do"					// Figure C.1 and E.2
do "${prog}/table_all.do"					// Table E.1
do "${prog}/ExogenousMobility.do" 			// Figures A.1, A.2, A.3 
do "${prog}/DescriptivesWageGrowth.do" 		// Figure 1 
do "${prog}/Descriptives.do"				// Tables 1 and 2, and Figure E.1
do "${prog}/Hire_DataPrep_Matching.do"		// Data preparation for analyses in section 5.2.1 (Entry) + Figure E.3
do "${prog}/Hire_Regs.do"					// Figures 6 and 7
do "${prog}/Leave_DataPrep_Matching.do"		// Data preparation for analyses in section 5.2.1 (Leave) + Figure E.4
do "${prog}/Leave_Regs.do"					// Figures 8 and 9
do "${prog}/Worker_DataPrep_Matching.do"	// Data preparation for analyses in section 5.2.2 + Figure E.5
do "${prog}/Worker_Regs.do"					// Figures 10 and 11
do "${prog}/BalanceTables.do"				// Tables E.3, E.4, E.5
do "${prog}/ExogeneityEventStudy.do"		// Figures D.1 and D.2
do "${prog}/ContTreat_DataPrep.do"			// Data Preparation for analyses in Appendix D (Continuous treatment) 1
do "${prog}/Leaver_ContTreat_DataPrep.do"	// Data Preparation for analyses in Appendix D (Continuous treatment) 2
do "${prog}/Regs_ContTreat.do"				// Figure D.3
do "${prog}/DescriptivesCompareMovers.do"	// Table E.6
