// ssc install texdoc

*----------------------------------------------------------------------------*
* Complete baseline stats
*----------------------------------------------------------------------------*		 

// forvalues i = 0/5 {
// 	use "$datgr/data_hetergraph_w`i'", clear
// 	scalar obs_`i' = _N	
// }
//
// use "$datgr/temp_est_baseline", clear
// gen veneto_obs = .
// forvalues i = 0/5 {
// 	replace veneto_obs = obs_`i' if year == `i'
// }
// save "$datgr/est_baseline", replace
// erase "$datgr/temp_est_baseline.dta"

*----------------------------------------------------------------------------*
* Table for all
*----------------------------------------------------------------------------*		 

use "$datgr/est_baseline", clear
merge 1:1 year using "$datgr/estall_heter", nogen 

* Veneto
forvalues h = 0/5 {
	qui sum veneto if year == `h'
	local estb`h': display %5.3f r(mean)
	qui sum veneto_se if year == `h'
	local seb`h': display %5.3f r(mean)
	qui sum veneto_obs if year == `h'
	local obs`h': display %12.0fc r(mean)
}

* Movers
forvalues h = 0/5 {
	forvalues i = 1/2 {
		qui sum ms_est`i' if year == `h'
		local ms_est`i'_b`h': display %5.3f r(mean)
		qui sum ms_se`i' if year == `h'
		local ms_se`i'_b`h': display %5.3f r(mean)
		qui sum ms_obs`i' if year == `h'
		local ms_obs`i'_b`h': display %12.0fc r(mean)
	}
}

* Others
local var "age ten psize3"
foreach v of local var {
	forvalues h = 0/5 {
		forvalues i = 1/3 {
			qui sum `v'_est`i' if year == `h'
			local `v'_est`i'_b`h': display %5.3f r(mean)
			qui sum `v'_se`i' if year == `h'
			local `v'_se`i'_b`h': display %5.3f r(mean)
			qui sum `v'_obs`i' if year == `h'
			local `v'_obs`i'_b`h': display %12.0fc r(mean)
		}
	}
}

* Latex table
texdoc init "$table/apptab_allres.tex", replace force

tex \begin{tabular}{l c c c c c c c c c c c c c c} 
tex \toprule
tex Years    && Baseline & \multicolumn{2}{c}{Mover/Stayer} & \multicolumn{3}{c}{Peer size} & \multicolumn{3}{c}{Tenure brackets} & \multicolumn{3}{c}{Age brackets}   \\ 
tex ahead    &&          & Mover    & Stayer                & $0-10$  & $11-50$ & $50+$         & $0-1$  & $2-3$ & $4+$     & $16-30$  & $31-45$ & $46-65$       \\
tex          && (1)      & (2)      & (3)                   & (4)    & (5)   & (6)          & (7)      & (8)     & (9)         & (10)     & (11)    & (12)         \\
tex \midrule
tex \\
forvalues h = 0/5 {
	tex $ h = `h' $ & $ \hat\beta $ & `estb`h''  & `ms_est1_b`h''   & `ms_est2_b`h''   & `psize3_est1_b`h'' & `psize3_est2_b`h'' & `psize3_est3_b`h'' & `ten_est1_b`h'' & `ten_est2_b`h'' & `ten_est3_b`h'' & `age_est1_b`h'' & `age_est2_b`h'' & `age_est3_b`h'' \\
	tex             & s.e. & (`seb`h'') & (`ms_est1_b`h'') & (`ms_est2_b`h'') & (`psize3_se1_b`h'') & (`psize3_se2_b`h'') & (`psize3_se3_b`h'') & (`ten_se1_b`h'') & (`ten_se2_b`h'') & (`ten_se3_b`h'') & (`age_se1_b`h'') & (`age_se2_b`h'') & (`age_se3_b`h'') \\
	tex             & \# obs & `obs`h''  & `ms_obs1_b`h''   & `ms_obs2_b`h''   & `psize3_obs1_b`h'' & `psize3_obs2_b`h'' & `psize3_obs3_b`h'' & `ten_obs1_b`h'' & `ten_obs2_b`h'' & `ten_obs3_b`h'' & `age_obs1_b`h'' & `age_obs2_b`h'' & `age_obs3_b`h'' \\ 
	tex \\
}
tex \bottomrule 
tex \end{tabular}

texdoc close

